지정된 조직 허용 목록 정책이 저장된 경우 유효 허용 목록이 비게 되는 프로젝트를 반환하여 도구 또는 모델 허용 목록을 분리된 설정하다 으로 강화하기 전에 관리자에게 경고를 표시합니다. 허용 목록이 아니거나 비활성화된 정책에는 폭발 반경이 없습니다.
POST /api/v1/organizations/{id}/poliencies/preview
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/organizations/{id}/policies/preview' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"enabled": true,
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION"
}'
요청 예시
{
"enabled": true,
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION"
}
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"affected_projects": [
{
"current_allowlist": [
"string"
],
"project_id": "string",
"project_name": "string"
}
]
}
응답 예시(200)
{
"affected_projects": [
{
"current_allowlist": [
"string"
],
"project_id": "string",
"project_name": "string"
}
]
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}